Page MenuHomeFreeBSD

net-mgmt/aircrack-ng: fix build on powerpc*
ClosedPublic

Authored by pkubaj on Jul 23 2019, 6:38 PM.

Details

Summary

FreeBSD doesn't have bits/hwcap.h header and elf_aux_info needs to be used instead of getauxval.

On powerpc platforms there are libraries for Altivec installed and no libraries for AVX and SSE are installed.

PR: 239319

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.Jul 23 2019, 6:38 PM
linimon accepted this revision.Jul 29 2019, 8:24 PM
linimon added inline comments.
net-mgmt/aircrack-ng/Makefile
51 ↗(On Diff #60058)

may I ask that these be sorted alpha? I'm trying to make that consistent everywhere.

This revision is now accepted and ready to land.Jul 29 2019, 8:24 PM
pkubaj marked an inline comment as done.Jul 30 2019, 12:17 PM

OK.

This revision was automatically updated to reflect the committed changes.